More kernel queries

John Logsdon j.logsdon at quantex-research.com
Sat Mar 1 03:43:00 CST 2003


Hi

This is really directed to kernel hacking types, RedHat and Dell lurkers
on the list!

I want to compile in the latest patches of grsecurity that have a process
accounting system included but may I ask for advice first.  If anyone has
already done this, some specific guidance would be appreciated.

The system is PE2650/6GB (4+2 redundant to avoid the bigmen problems at
the moment) and RH8.0.

The grsecurity patches require 2.4.20 but the latest RH version is
2.4.18-24.7 at least on the errata page (3 Feb 03).

It is possible that some of the patches from 2.4.18 to 2.4.18-24.7 have
found their way into 2.4.20.

I would like if possible to retain any changes RH have put in and that
will have been tested by Dell.

The grsecurity patch will not work with 2.4.18-24.7 (I expect although I
haven't tried this!)

What is a suggested path?  

TIA

John

John Logsdon                               "Try to make things as simple
Quantex Research Ltd, Manchester UK         as possible but not simpler"
j.logsdon at quantex-research.com              a.einstein at relativity.org
+44(0)161 445 4951/G:+44(0)7768982349       www.quantex-research.com




More information about the Linux-PowerEdge mailing list